/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/

if ($defined(window.jQuery) && $type(jQuery.noConflict)=='function') {
    jQuery.noConflict();
}

jQuery(document).ready( function(){  
	 jQuery('#TABS_BASIC-options').parent().addClass("vt_basic");
     jQuery('#TABS_GALLERY-options').parent().addClass("vt_gallery");
	 jQuery('#TABS_IMAGE-options').parent().addClass("vt_image");
	 jQuery('#TABS_INLINE-options').parent().addClass("vt_inline");
	 jQuery('#TABS_EXTERNAL-options').parent().addClass("vt_external");
	 jQuery('#TABS_FLICKR-options').parent().addClass("vt_flickr");
	 jQuery('#TABS_PICASA-options').parent().addClass("vt_picasa");
	 jQuery('#TABS_MODULE-options').parent().addClass("vt_module");
	 jQuery('#TABS_ARTCLEID-options').parent().addClass("vt_article");
	 jQuery('.inputcolor').parent().addClass("activecolor");
	 
	 jQuery('#jform_params_style').each(function() {
		currentValue = jQuery(this).val();
		jQuery(this).find("option").each(function(index,Element) {		
		    if(jQuery(Element).val() == currentValue){		    	
		    	jQuery('.activecolor').slideDown();
		    }else{		    	
		    	jQuery('.activecolor').hide();
		    }
		});
	});	
	 jQuery('#jform_params_style').change(function() {
		currentValue = jQuery(this).val();
		jQuery(this).find("option").each(function(index,Element) {		
		    if(jQuery(Element).val() == currentValue){		    	
		    	jQuery('.activecolor').slideDown();
		    }else{		    	
		    	jQuery('.activecolor').hide();
		    }
		});
	});	
	 
    //On Click
    jQuery('.panel .title').click(function(){
        if( jQuery(this).next().is(':hidden') ) { //If immediate next container is closed...
            jQuery('.panel').removeClass('active'); //Remove all "active" state and slide up the immediate next container
        }
        else{
            jQuery('.panel').removeClass('active');
        }
        return false; //Prevent the browser jump to the link anchor
    });
	    
    //Joomla, k2 and modules  Accordion hide and show effect depend on content source.
    function showgallery(){
        jQuery('.vt_gallery').addClass('active').slideDown();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
    }
    function showimage(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
        jQuery('.vt_image').addClass('active').slideDown();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
    }
    function showinline(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').addClass('active').slideDown();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
    }
    function showexternal(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').addClass('active').slideDown();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
    }
	function showflickr(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').addClass('active').slideDown();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
    }
	function showpicasa(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').addClass('active').slideDown();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').removeClass('active').hide();
    }
	function showmodule(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').addClass('active').slideDown();
		jQuery('.vt_article').removeClass('active').hide();
    }
	function showarticle(){
        jQuery('.vt_gallery').removeClass('active').hide();
        jQuery('.vt_image').removeClass('active').hide();
        jQuery('.vt_inline').removeClass('active').hide();
		jQuery('.vt_external').removeClass('active').hide();
		jQuery('.vt_flickr').removeClass('active').hide();
		jQuery('.vt_picasa').removeClass('active').hide();
		jQuery('.vt_module').removeClass('active').hide();
		jQuery('.vt_article').addClass('active').slideDown();
    }
    //determine which settings is enable in content source and show related container
    switch(jQuery('#jform_params_content_source').val()){
        case 'gallery':
            showgallery();
            break;
        case 'image':
            showimage();
            break;
        case 'inline':
            showinline();
            break;
		case 'external':
            showexternal();
            break;
		case 'flickr':
            showflickr();
            break;
		case 'picasa':
            showpicasa();
            break;
		case 'module':
            showmodule();
            break;
		case 'article':
            showarticle();
            break;
    }
    
    //change accordion realtime 
    jQuery('#jform_params_content_source').change(function(){
        switch(jQuery('#jform_params_content_source').val()){
        case 'gallery':
            showgallery();
            break;
        case 'image':
            showimage();
            break;
        case 'inline':
            showinline();
            break;
		case 'external':
            showexternal();
            break;
		case 'flickr':
            showflickr();
            break;
		case 'picasa':
            showpicasa();
            break;
		case 'module':
            showmodule();
            break;
		case 'article':
            showarticle();
            break;
    }
    });
});