<?php
/**
* @Copyright Copyright (C) 2010 VTEM . All rights reserved.
* @license GNU/GPL http://www.gnu.org/copyleft/gpl.html
* @link     	http://www.vtem.net
**/
defined('_JEXEC') or die('Restricted access');
?>
<script type="text/javascript" src="<?php echo JURI::root();?>modules/mod_vtem_flybox/styles/jquery.prettyPhoto.js" charset="utf-8"></script>
<script type="text/javascript" charset="utf-8">
var vtemflybox = jQuery.noConflict();
(function($){
$(document).ready(function(){
   		$("#vtem<?php echo $module_id;?>-flybox a[rel^='vtemflybox']").prettyPhoto({
				animation_speed: '<?php echo $animation_speed;?>',
				slideshow: <?php echo $slideshow;?>,
				autoplay_slideshow: <?php echo $autoplay_slideshow;?>,
				opacity: <?php echo $opacity;?>,
				show_title: <?php echo $show_title;?>,
				allow_resize: <?php echo $allow_resize;?>,
				default_width: <?php echo $width;?>,
				default_height: <?php echo $height;?>,
				theme: '<?php echo $theme;?>',
				hideflash: <?php echo $hideflash;?>,
				autoplay: <?php echo $autoplay;?>,
				modal: <?php echo $modal;?>,
				deeplinking: <?php echo $deeplinking;?>, 
				overlay_gallery: <?php echo $overlay_gallery;?>,
				keyboard_shortcuts: <?php echo $keyboard_shortcuts;?>
		});
});
})(jQuery);
</script>
<div id="vtem<?php echo $module_id;?>-flybox" class="vtemflybox module<?php echo $params->get('moduleclass_sfx');?>">
<?php 
switch($modstyle){
  case "gallery":
			 foreach($images as $img) {
				   echo '<a href="'.$imagePath.$img.'" rel="vtemflybox[pp_gal]">
					     <img src="'.$imagePath.$img.'" alt="" style="width:'.$thumb_gallery_width.'; height:'.$thumb_gallery_height.';"/>
					     </a>';
			 }
   break;
  case "image":
	         echo '<a href="'.$singleurl.'" title="'.$singletitle.'" rel="vtemflybox">';
				 if($single_link == 0){
				    echo $singlelinklabel;
				 }else{
				    echo '<img src="'.$singlelinklabel.'" alt="" />';
				 }
			 echo '</a>';
   break;
  case "inline":
	         echo '<a href="#vtemflyboxcontent" rel="vtemflybox[inline]" title="'.$inlinetitle.'">';
				 if($inline_linktext == 0){ 
					  echo $inlinelink;
				 }else{ 
					  echo '<img src="'.$inlinelink.'" alt="">';
				 }
	         echo '</a>
	               <div id="vtemflyboxcontent" style="display: none;">'.$inline_content.'</div>';
   break;
  case "external":
	         echo "<a href='".$iframeurl."?iframe=true' title='".$iframetitle."' rel='vtemflybox'>";
				 if($iframe_link == 0){
				      echo $iframelinklabel;
				 }else{
				      echo '><img src="'.$iframelinklabel.'" alt="" />';
				 }
			 echo "</a>";
   break;
  case "flickr":
                $flickrId = $flickruserid;
				$flickrrequest = 'http://api.flickr.com/services/feeds/photos_public.gne?id=' . $flickrId . '&format=json';
				$flickrci = curl_init($flickrrequest);
				curl_setopt($flickrci,CURLOPT_RETURNTRANSFER, TRUE);
				$flickrinput = curl_exec($flickrci);
				curl_close($flickrci);
				$flickrinput = str_replace('jsonFlickrFeed(','',$flickrinput);
				$flickrinput = str_replace('})','}',$flickrinput);
				$flickrvalue = json_decode($flickrinput,true);
				$flickritem = $flickrvalue['items'];
				$photosToDisplay = $flickrlimit;
				for($p=0;$p<$photosToDisplay;$p++){
				echo "<a href=\"" .str_replace('_m', $flickrbig, $flickritem[$p]['media']['m']). "\" rel=\"vtemflybox[pp_gal]\"><img src=\"" .str_replace('_m', $flicksmall, $flickritem[$p]['media']['m']). "\" alt='".$flickritem[$p]['title']."'/></a>\n";
				}
   break;
  case "picasa":
                $userid = $params->get('piuserid');
				$album = $params->get('pialbumid');
				$feedURL = "http://picasaweb.google.com/data/feed/base/user/$userid/albumid/$album";
				$sxml = simplexml_load_file($feedURL);
				$counts = $sxml->children('http://a9.com/-/spec/opensearchrss/1.0/'); 
				foreach ($sxml->entry as $entry):
				  $gphoto = $entry->children('http://schemas.google.com/photos/2007');
				  $media = $entry->children('http://search.yahoo.com/mrss/');
				  $thumbnail = $media->group->thumbnail[1];
				  $bigimage = $media->group->content;
				  $tags = $media->group->keywords;
				  echo "<a href=\"" .$bigimage->attributes()->{'url'}. "\" rel='vtemflybox[pp_gal]'>
				      <img src=\"" . $thumbnail->attributes()->{'url'} . "\" alt='".$tags."'/>
				  </a>\n";
				endforeach;
   break;
  case "module":
                $mods = $params->get('modules');
		        $options 	= array('style' => 'none');		
				$modtitle = modVtemFlyBoxHelper::getModule($mods)->title;
				$modcontent = JModuleHelper::renderModule(modVtemFlyBoxHelper::getModule($mods), $options);	 
				echo '<a href="#'.$module_id.'vtemflyboxmodule" rel="vtemflybox[inline]" title="'.$modtitle.'">';
				 if($module_link == 0){ 
					  echo $modulelinklabel;
				 }else{ 
					  echo '<img src="'.$modulelinklabel.'" alt="">';
				 }
	            echo '</a>
	               <div id="'.$module_id.'vtemflyboxmodule" style="display: none;">'.$modcontent.'</div>';
    break;
   case "article":
	         echo "<a href='index.php?view=article&id=".$articleid."&tmpl=component&iframe=true' title='".$articletitle."' rel='vtemflybox'>";
				 if($article_link == 0){
				      echo $articlelinklabel;
				 }else{
				      echo '><img src="'.$articlelinklabel.'" alt="" />';
				 }
			 echo "</a>";
  } 
?>
<div style="clear:both">&nbsp;</div>
</div>
